def run(path)
	Dir.foreach(path){|entry|
		now_path = File.join(path, entry)
		if test ?d, now_path
			case entry
			when /^\./
				#
			when 'CVS'
				Dir.glob(now_path+'/*'){|i|
					$stderr.print "delete #{i}\n"
					File.delete i
				}
				$stderr.print "delete #{entry}\n"
				Dir.delete now_path
			else
				run now_path
			end
		else
			case entry
			when '.cvsignore'
				$stderr.print "delete #{entry}\n"
				File.delete now_path
			end
		end
	}
end
run '.'
